Summary
Gets references to a particular document.
Description
Gets references to a particular document.
Route
GET /automation-studio/references-to
Roles
admin
apiread
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| queryParameters |
object |
yes |
Component group id. |
Copied to Clipboard
{
"queryParameters": {
"target-type": "Ut anim",
"target-identifiers": "laboris aliqua ut qui",
"referrer-type": "eiusmod in veniam magna exercitation"
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"queryParameters": {
"title": "queryParameters",
"type": "object",
"description": "Options passed to the endpoint.",
"properties": {
"target-type": {
"type": "string",
"description": "Type of document to search for references to."
},
"target-identifiers": {
"type": "string",
"description": "IDs of the components to search for references to."
},
"referrer-type": {
"type": "string",
"description": "Type of documents to search for references in."
}
}
}
},
"required": [
"queryParameters"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Response object. |
Copied to Clipboard
{
"referencesByTarget": [
{
"target": {
"identifer": "940a1b4f-399a-44df-a42e-d37da51c7637",
"type": "command-template"
},
"totalReferencingInstances": 31223782.68321398,
"totalReferences": 24954381.452219293,
"references": {
"type": "form",
"_id": "5eb596edf955d0e5288f84ef",
"name": "dolor laborum",
"referencePaths": [
"elit voluptate",
"tempor nostrud Lorem",
"ullamco enim aute Duis magna"
]
}
},
{
"target": {
"identifer": "940a1b4f-399a-44df-a42e-d37da51c7637",
"type": "command-template"
},
"totalReferencingInstances": 72236905.96298867,
"totalReferences": -7945966.667513505,
"references": {
"type": "command-template",
"_id": "5eb596edf955d0e5288f84ef",
"name": "et Duis sint eiusmod voluptate",
"referencePaths": [
"ex cupidatat proident",
"officia qui dolore Ut",
"dolor magna",
"ex anim fugiat incididunt dolor"
]
}
},
{
"target": {
"identifer": "940a1b4f-399a-44df-a42e-d37da51c7637",
"type": "form"
},
"totalReferencingInstances": -172953.16411569715,
"totalReferences": -23957946.01374401,
"references": {
"type": "command-template",
"_id": "940a1b4f-399a-44df-a42e-d37da51c7637",
"name": "sint sed",
"referencePaths": [
"incididunt sunt cillum",
"consequat"
]
}
},
{
"target": {
"identifer": "940a1b4f-399a-44df-a42e-d37da51c7637",
"type": "template"
},
"totalReferencingInstances": -82320119.97528082,
"totalReferences": -34558253.15528851,
"references": {
"type": "transformation",
"_id": "940a1b4f-399a-44df-a42e-d37da51c7637",
"name": "pariatur sint id cupidatat dolore",
"referencePaths": [
"consectetur ut aliquip est adipisicing",
"adipisicing mollit aliquip",
"aliqua",
"qui amet",
"Excepteur dolore tempor dolor qui"
]
}
}
]
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"properties": {
"referencesByTarget": {
"type": "array",
"items": {
"type": "object",
"properties": {
"target": {
"type": "object",
"properties": {
"identifer": {
"type": "string",
"examples": [
"940a1b4f-399a-44df-a42e-d37da51c7637",
"5eb596edf955d0e5288f84ef"
]
},
"type": {
"type": "string",
"enum": [
"workflow",
"json-form",
"transformation",
"template",
"command-template",
"analytic-template",
"form"
]
}
}
},
"totalReferencingInstances": {
"type": "number"
},
"totalReferences": {
"type": "number"
},
"references": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"workflow",
"json-form",
"transformation",
"template",
"command-template",
"analytic-template",
"form"
]
},
"_id": {
"type": "string",
"examples": [
"940a1b4f-399a-44df-a42e-d37da51c7637",
"5eb596edf955d0e5288f84ef"
]
},
"name": {
"type": "string"
},
"referencePaths": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}
}
}
}